Skip to main content
GET
/
api
/
mlflow
/
registered-models
/
{name}
/
versions
List all versions for a registered model
curl --request GET \
  --url https://api.example.com/api/mlflow/registered-models/{name}/versions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/mlflow/registered-models/{name}/versions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/mlflow/registered-models/{name}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "name": "<string>",
    "version": "<string>",
    "creation_timestamp": 123,
    "last_updated_timestamp": 123,
    "current_stage": "<string>",
    "description": "<string>",
    "source": "<string>",
    "run_id": "<string>",
    "status": "<string>",
    "user_id": "<string>",
    "tags": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
{
"error": "<string>",
"code": 500
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

name
string
required

Registered model name.

Query Parameters

max_results
integer
default:200
Required range: 1 <= x <= 1000

Response

Successful Response

name
string
required
version
string
required
creation_timestamp
integer | null
last_updated_timestamp
integer | null
current_stage
string | null
description
string | null
source
string | null
run_id
string | null
status
string | null
user_id
string | null
tags
MlflowTag · object[]